# class WEBrick::SNIRequest

### Attributes

addr[R]

The socket address of the server

host[R]

The SNI hostname

port[R]

The port this request is for

### Public Class Methods

new(sslsocket, hostname) click to toggle source

Creates a new `SNIRequest`.

    # File lib/webrick/https.rb, line 113
    def initialize(sslsocket, hostname)
      @host = hostname
      @addr = sslsocket.addr
      @port = @addr[1]
    end